Package org.apache.sysds.runtime.compress.io

# Class DictWritable

java.lang.Object
org.apache.sysds.runtime.compress.io.DictWritable

All Implemented Interfaces:
  `Serializable`, `org.apache.hadoop.io.Writable`

public class DictWritable extends Object implements org.apache.hadoop.io.Writable, Serializable

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DictWritable.K`

## Field Summary

Fields
Modifier and Type
Field
Description
`List<IDictionary>`
`dicts`

## Constructor Summary

Constructors
Constructor
Description
`DictWritable()`

## Method Summary

Modifier and Type
Method
Description
`void`
`readFields(DataInput in)`
`String`
`toString()`
`void`
`write(DataOutput out)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### dicts

public List<IDictionary> dicts

## Constructor Details

### DictWritable

public DictWritable()

## Method Details

### write

public void write(DataOutput out) throws IOException

Specified by:
  `write` in interface `org.apache.hadoop.io.Writable`
Throws:
  `IOException`

### readFields

public void readFields(DataInput in) throws IOException

Specified by:
  `readFields` in interface `org.apache.hadoop.io.Writable`
Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`